Bug 194734 - https://device.login.microsoftonline.com is hanging on STP75
Summary: https://device.login.microsoftonline.com is hanging on STP75
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-15 17:54 PST by youenn fablet
Modified: 2019-02-18 11:15 PST (History)
7 users (show)

See Also:


Attachments
Patch (3.88 KB, patch)
2019-02-15 17:58 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-02-15 17:54:22 PST
https://device.login.microsoftonline.com is hanging on STP75
Comment 1 youenn fablet 2019-02-15 17:54:40 PST
<rdar://problem/47573830>
Comment 2 youenn fablet 2019-02-15 17:58:49 PST
Created attachment 362195 [details]
Patch
Comment 3 Jiewen Tan 2019-02-15 18:14:49 PST
Comment on attachment 362195 [details]
Patch

LGTM. r=me. Could you verify that you can reproduce the bug in tlstestwebkit.org by not having the client certificate and clicking the mandatory client certificate link?
Comment 4 Geoffrey Garen 2019-02-15 20:05:46 PST
Jiewen, can you suggest a way to test this code path in an automated way?
Comment 5 youenn fablet 2019-02-15 20:39:54 PST
(In reply to Jiewen Tan from comment #3)
> Comment on attachment 362195 [details]
> Patch
> 
> LGTM. r=me. Could you verify that you can reproduce the bug in
> tlstestwebkit.org by not having the client certificate and clicking the
> mandatory client certificate link?

I cannot load tlstestwebkit.org right now and might not be able to test it soon.
It would be nice if you could validate it.
I'll put the patch in cq?

(In reply to Geoffrey Garen from comment #4)
> Jiewen, can you suggest a way to test this code path in an automated way?

I wonder whether WPT server has some support for scripting connection setup.
If not, it might be interesting to file an issue on GitHub.
Comment 6 Jiewen Tan 2019-02-15 23:57:20 PST
(In reply to Geoffrey Garen from comment #4)
> Jiewen, can you suggest a way to test this code path in an automated way?

I don't think there is any at this moment. The hardest part here is to config the server to request a client certificate.
Comment 7 Geoffrey Garen 2019-02-16 09:11:57 PST
> I don't think there is any at this moment. The hardest part here is to
> config the server to request a client certificate.

We have run-webkit-httpd, and it can run arbitrary cgi scripts. Can we use that mechanism to request a client certificate?
Comment 8 WebKit Commit Bot 2019-02-17 22:49:07 PST
Comment on attachment 362195 [details]
Patch

Clearing flags on attachment: 362195

Committed r241658: <https://trac.webkit.org/changeset/241658>
Comment 9 WebKit Commit Bot 2019-02-17 22:49:09 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Jiewen Tan 2019-02-18 11:15:43 PST
(In reply to Geoffrey Garen from comment #7)
> > I don't think there is any at this moment. The hardest part here is to
> > config the server to request a client certificate.
> 
> We have run-webkit-httpd, and it can run arbitrary cgi scripts. Can we use
> that mechanism to request a client certificate?

Thanks Geoff for your input. I will address it in <rdar://problem/35927938>.